NioReceiverMBean (Apache Tomcat 9.0.73 API Documentation)

Package org.apache.catalina.tribes.transport.nio

## Interface NioReceiverMBean

- All Known Implementing Classes:
    `NioReceiver`

      public interface NioReceiverMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getActiveCount()` |
    `java.lang.String` | `getAddress()` |
    `int` | `getAutoBind()` |
    `long` | `getCompletedTaskCount()` |
    `boolean` | `getDirect()` |
    `long` | `getMaxIdleTime()` |
    `int` | `getMaxThreads()` |
    `int` | `getMinThreads()` |
    `boolean` | `getOoBInline()` |
    `int` | `getPoolSize()` |
    `int` | `getPort()` |
    `int` | `getRxBufSize()` |
    `int` | `getSecurePort()` |
    `long` | `getSelectorTimeout()` |
    `boolean` | `getSoKeepAlive()` |
    `boolean` | `getSoLingerOn()` |
    `int` | `getSoLingerTime()` |
    `boolean` | `getSoReuseAddress()` |
    `long` | `getTaskCount()` |
    `boolean` | `getTcpNoDelay()` |
    `int` | `getTimeout()` |
    `int` | `getTxBufSize()` |
    `int` | `getUdpPort()` |
    `int` | `getUdpRxBufSize()` |
    `int` | `getUdpTxBufSize()` |
    `boolean` | `getUseBufferPool()` |
    `boolean` | `isListening()` |

- - ### Method Detail

    - #### getAddress

          java.lang.String getAddress()

    - #### getDirect

          boolean getDirect()

    - #### getPort

          int getPort()

    - #### getAutoBind

          int getAutoBind()

    - #### getSecurePort

          int getSecurePort()

    - #### getUdpPort

          int getUdpPort()

    - #### getSelectorTimeout

          long getSelectorTimeout()

    - #### getMaxThreads

          int getMaxThreads()

    - #### getMinThreads

          int getMinThreads()

    - #### getMaxIdleTime

          long getMaxIdleTime()

    - #### getOoBInline

          boolean getOoBInline()

    - #### getRxBufSize

          int getRxBufSize()

    - #### getTxBufSize

          int getTxBufSize()

    - #### getUdpRxBufSize

          int getUdpRxBufSize()

    - #### getUdpTxBufSize

          int getUdpTxBufSize()

    - #### getSoKeepAlive

          boolean getSoKeepAlive()

    - #### getSoLingerOn

          boolean getSoLingerOn()

    - #### getSoLingerTime

          int getSoLingerTime()

    - #### getSoReuseAddress

          boolean getSoReuseAddress()

    - #### getTcpNoDelay

          boolean getTcpNoDelay()

    - #### getTimeout

          int getTimeout()

    - #### getUseBufferPool

          boolean getUseBufferPool()

    - #### isListening

          boolean isListening()

    - #### getPoolSize

          int getPoolSize()

    - #### getActiveCount

          int getActiveCount()

    - #### getTaskCount

          long getTaskCount()

    - #### getCompletedTaskCount

          long getCompletedTaskCount()